# ApplicationFramework
TKCAF
TFunction

# TFunction_DataMapOfGUIDDriver Class Reference

`#include <TFunction_DataMapOfGUIDDriver.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TFunction_DataMapOfGUIDDriver (const Standard_Integer NbBuckets=1)
Standard_EXPORT TFunction_DataMapOfGUIDDriver & | Assign (const TFunction_DataMapOfGUIDDriver &Other)
TFunction_DataMapOfGUIDDriver & | operator= (const TFunction_DataMapOfGUIDDriver &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TFunction_DataMapOfGUIDDriver ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_GUID &K, const Handle(TFunction_Driver)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_GUID &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_GUID &K)
Standard_EXPORT const Handle_TFunction_Driver & | Find (const Standard_GUID &K) const
const Handle_TFunction_Driver & | operator() (const Standard_GUID &K) const
Standard_EXPORT Handle_TFunction_Driver & | ChangeFind (const Standard_GUID &K)
Handle_TFunction_Driver & | operator() (const Standard_GUID &K)

## Private Member Functions

Standard_EXPORT | TFunction_DataMapOfGUIDDriver (const TFunction_DataMapOfGUIDDriver &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_DataMapOfGUIDDriver::TFunction_DataMapOfGUIDDriver | ( | const Standard_Integer | NbBuckets = `1` | ) |

TFunction_DataMapOfGUIDDriver::~TFunction_DataMapOfGUIDDriver | ( |  | ) | `[inline]`

Standard_EXPORT TFunction_DataMapOfGUIDDriver::TFunction_DataMapOfGUIDDriver | ( | const TFunction_DataMapOfGUIDDriver & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TFunction_DataMapOfGUIDDriver& TFunction_DataMapOfGUIDDriver::Assign | ( | const TFunction_DataMapOfGUIDDriver & | Other | ) |

Standard_EXPORT Standard_Boolean TFunction_DataMapOfGUIDDriver::Bind | ( | const Standard_GUID & | K,
|  | const Handle(TFunction_Driver)& | I
| ) |

Standard_EXPORT Handle_TFunction_Driver& TFunction_DataMapOfGUIDDriver::ChangeFind | ( | const Standard_GUID & | K | ) |

Standard_EXPORT void TFunction_DataMapOfGUIDDriver::Clear | ( |  | ) |

Standard_EXPORT const Handle_TFunction_Driver& TFunction_DataMapOfGUIDDriver::Find | ( | const Standard_GUID & | K | ) | const

Standard_EXPORT Standard_Boolean TFunction_DataMapOfGUIDDriver::IsBound | ( | const Standard_GUID & | K | ) | const

void TFunction_DataMapOfGUIDDriver::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TFunction_DataMapOfGUIDDriver::operator new | ( | size_t | size | ) | `[inline]`

void* TFunction_DataMapOfGUIDDriver::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TFunction_Driver& TFunction_DataMapOfGUIDDriver::operator() | ( | const Standard_GUID & | K | ) | `[inline]`

const Handle_TFunction_Driver& TFunction_DataMapOfGUIDDriver::operator() | ( | const Standard_GUID & | K | ) | const`[inline]`

TFunction_DataMapOfGUIDDriver& TFunction_DataMapOfGUIDDriver::operator= | ( | const TFunction_DataMapOfGUIDDriver & | Other | ) | `[inline]`

Standard_EXPORT void TFunction_DataMapOfGUIDDriver::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TFunction_DataMapOfGUIDDriver::UnBind | ( | const Standard_GUID & | K | ) |

The documentation for this class was generated from the following file:

- TFunction_DataMapOfGUIDDriver.hxx